WordPress.org

Ready to get started?Download WordPress

Forums

Highslide 4 WordPress *reloaded*
Update from 1.22 fails (20 posts)

  1. WP-Henne
    Member
    Posted 2 years ago #

    Hello,
    i've just updated working 1.22 to new 1.23 but WP will don't work after this! I'd must delete by ftp the highslide-4-wordpress-reloaded in plugin to solve this and reinstalled 1.22

    Regards,
    Henry

    http://wordpress.org/extend/plugins/highslide-4-wordpress-reloaded/

  2. TourAbsurd
    Member
    Posted 2 years ago #

    Same for me. Had to disable it from FTP by renaming plugin folder.

    Was trying to troubleshoot a different HS issue at the time. Thought the upgrade might fix it, but nope.

  3. solariz
    Member
    Plugin Author

    Posted 2 years ago #

    You was just to early ;p the WordPress.org page announced the update but still offered the 1.22.zip for download. 10min later it worked automatically.

  4. TourAbsurd
    Member
    Posted 2 years ago #

    Just tried to install again. Got:

    Parse error: syntax error, unexpected T_FUNCTION in [my server]/public_html/wp-content/plugins/highslide-4-wordpress-reloaded/functions.hs4wp.php on line 279

  5. TourAbsurd
    Member
    Posted 2 years ago #

    Oh, and sorry for not mentioning earlier, but Highslide is one of my favorite plugins. That's why this is so important to me. Without it my site feels incomplete.

    "You complete me," and all that. ;)

    Thanks!

    ps: heading to a big trade show tomorrow and want to have everything looking the best I can make it. Definitely includes HS.

  6. Mr. Cui Bap
    Member
    Posted 2 years ago #

    Anyone can be fix it please ! my site affter update and broken too...

  7. solariz
    Member
    Plugin Author

    Posted 2 years ago #

    What PHP Version you are using ?

    If possible please try to replace the functions.hs4wp.php with the new one included in the ZIP File:

    functions.hs4wp.zip

  8. WP-Henne
    Member
    Posted 2 years ago #

    I'm using PHP 5.2.6

    The new functions.hs4wp.php with same error on my testside:
    Parse error: syntax error, unexpected T_FUNCTION in wp-content/plugins/highslide-4-wordpress-reloaded-/functions.hs4wp.php on line 279

  9. solariz
    Member
    Plugin Author

    Posted 2 years ago #

    Ok got the problem, my fault. I relied on a Function wich only works in PHP 5.3x

    I will change this.

  10. solariz
    Member
    Plugin Author

    Posted 2 years ago #

    I uploaded v 1.24 to wordpress.org should be there in some minutes

  11. TourAbsurd
    Member
    Posted 2 years ago #

    Yay! All better now! Thank you so much. :D

  12. WP-Henne
    Member
    Posted 2 years ago #

    Thanks a lot, now it's working!

    Regards,
    Henry

  13. TourAbsurd
    Member
    Posted 2 years ago #

    ps: finally remembered to Flattr you.

  14. solariz
    Member
    Plugin Author

    Posted 2 years ago #

    Thanks wish you best success on the trade show!

  15. Cyberm@rmotte
    Member
    Posted 2 years ago #

    For me, I got this error:

    Warning: strtolower() expects parameter 1 to be string, array given in ../wp-content/plugins/highslide-4-wordpress-reloaded/functions.hs4wp.php on line 673

    Any ideas?

    Nice work on this plug-in

  16. Cyberm@rmotte
    Member
    Posted 2 years ago #

    My php version is 5.3.8

  17. solariz
    Member
    Plugin Author

    Posted 2 years ago #

    Hmm t his is odd. But you can fix this easy:

    Open the file:
    content/plugins/highslide-4-wordpress-reloaded/functions.hs4wp.php

    with a Text Editor and search for:
    if(strtolower($value) == "off") $value = false;

    Should be in Line 672, and replace it with this:
    if(@strtolower($value) == "off") $value = false;

    This should do the trick.

    thanks for report.

  18. Cyberm@rmotte
    Member
    Posted 2 years ago #

    Did it and that fixed the trick! Nice shot, thx!

  19. klimam
    Member
    Posted 2 years ago #

    Same strtolower() problem, same @ solution. THX :)
    plugin version 1.24, WP version 3.2.1

  20. Mitch
    Member
    Posted 2 years ago #

    download not avail.
    I have the same problem
    wp-content/plugins/highslide-4-wordpress-reloaded/functions.hs4wp.php on line 672

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic